<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>My Portfolio</title>

	<!-- font awesome icons -->
	<script src="https://kit.fontawesome.com/725f9764d3.js" crossorigin="anonymous"></script>

	<!-- External CSS -->
	<link rel="stylesheet" type="text/css" href="./styles/Portfolio.css">
	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	<script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
	<link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
	<!-- Animate CSS -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css">
</head>
<body>
	
<nav class="navbar navbar-dark fixed-top bg-light opacity-mod">
	<a class="navbar-brand" href="./index.html"><img id="navLogo" src="./images/default.png" alt="" /></a>
	<button class="btn navbar-toggler p-2 m-2 bg-success rounded-circle" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
		<span class="navbar-toggler-icon"></span>
	</button>

	<div class="collapse navbar-collapse" id="navbarSupportedContent">
		<ul class="navbar-nav mr-auto text-center">
			<li class="nav-item active bg-light border border-white p-2">
					<a href="#About-space" class="nav-link">About Me <span class="sr-only">(current)</span></a>
			</li>
			<li class="nav-item bg-light p-2 border border-white">
					<a href="#Skills" class="nav-link">Skills</a>
			</li>
			<li class="nav-item bg-light p-2 border border-white">
				<a class="nav-link" href="#Projects">Projects</a>
			</li>
			<li class="nav-item bg-secondary p-2">
				<a class="nav-link disabled" href="#" tabIndex="-1" aria-disabled="true">Copyright &copy; 2020 RancelPieda. All rights reserved</a>
			</li>
		</ul>
	</div>
</nav>

<div id="redirectContactPage">
	<a type="button" data-toggle="modal" data-target="#exampleModal"><img src="./images/contactMe.png" alt="" /></a>
</div>
<div class="d-hidden About" id="About-space"></div>
<div class="d-flex flex-wrap align-content-end mt-5">
	<section class="container-fluid" id="About-2">
		<div class="row min-vh-100">
			<div class="col-10 m-auto text-center">
				<div class="col-12">
					<h1></h1>
					<p class="display-4 my-5 text-center">
						I made a lot of mistakes, some time in my life, well actually most of it. I realized that having a goal without a plan is just an illusion of what you intend to do. The failures I've done in my past years gave me an important and most memorable lesson that I could ever have.
					</p>
				</div>

				<div class="col-12">
					<div class="row justify-content-center">
						<div class="col-lg-4 col-md-8 mt-5" data-aos="fade-up" data-aos="zoom-out-up" data-aos-duration="500">
							<div class="card cards shadow-lg cardHover" id="card1">
								<img class="card-img-left" src="https://img.icons8.com/clouds/100/000000/graduation-cap.png"/>
								<div class="card-body mt-5">
									<h5 class="card-title">Educational Background</h5>
									<hr />
									<div class="text-left">
										<h6>2013-2019</h6>
										<p>BS ECE at De La Salle University Dasmari&ntilde;as</p>
										<h6>2009-2013</h6>
										<p>Cavite State University Science Highschool</p>
									</div>
								</div>
							</div>
						</div>

						<div class="col-lg-4 col-md-8 mt-5" data-aos="fade-up" data-aos="zoom-out-up" data-aos-duration="500" data-aos-delay="250">
							<div class="card cards shadow-lg cardHover" id="card2">
								<img class="card-img-center mx-auto" src="https://img.icons8.com/color/96/000000/media-queries.png"/>
								<div class="card-body mt-5 row">
									<div class="col-12">
										<h5 class="card-title">Career Shifter!</h5>
										<hr />
									</div>
									<p class="card-text mx-5">I shifted my career to become a software engineer since I really like to develop programs that can help and impact our lives.</p>
								</div>
							</div>
						</div>

						<div class="col-lg-4 col-md-8 mt-5" data-aos="fade-up" data-aos="zoom-out-up" data-aos-duration="500" data-aos-delay="500">
							<div class="card cards shadow-lg cardHover" id="card3">
								<img class="mx-auto card-img-right" src="https://img.icons8.com/color/96/000000/tennis-2.png"/>
								<div class="card-body mt-5 row">
									<div class="col-12">
										<h5 class="card-title">My Hobbies</h5>
										<hr />
									</div>
									<div class="d-flex align-items-center">
										<p class="card-text mx-5">I love to play table tennis, chess, e-games and to swim. In my vacant time I browse websites, read articles, forums and news.</p>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>

			</div>
		</div>
	</section>
</div>


<div class="navFixAlternative"></div>


<div class="container-fluid bg-success shadow" id="Mindset" data-aos="fade-up">
	<div class="row vh-50">
		<div class="col-10 m-auto text-center">
			<p class="display-4 text-white">
				I aim to help companies with the design of their websites that's modern and unique.
			</p>
		</div>
	</div>
</div>

<div class="navFixAlternative" id="Skills"></div>

<section class="container-fluid">
	<div class="row">
		<div class="col-12">
			<div class="row justify-content-center">
					<div class="col-sm-10 col-md-8 col-lg-3 my-5">
						<div class="media">
							<img src="./images/untitled folder/Asset 189.png" class="mr-3" alt="..." />
							<div class="media-body">
								<h5 class="mt-0 mb-1 display-4">Top Skills</h5>
								<hr />
								<ul class="list-group list-unstyled">
									<li class="list-item">Teamwork</li>
									<li class="list-item">Communicates well</li>
									<li class="list-item">Good Time Management</li>
								</ul>
							</div>
						</div>
					</div>
					<div class="col-sm-10 col-md-8 col-lg-3 my-5">
						<div class="media">
							<img src="./images/untitled folder/Asset 193.png" class="mr-3" alt="..." />
							<div class="media-body">
								<h5 class="mt-0 mb-1 display-4">Soft Skills</h5>
								<hr />
								<ul class="list-group list-unstyled">
									<li class="list-item">Patient</li>
									<li class="list-item">Has motivation to learn new things</li>
									<li class="list-item">Active Listener</li>
								</ul>
							</div>
						</div>
					</div>
					<div class="col-sm-10 col-md-8 col-lg-3 mt-5">
						<div class="media">
							<img src="./images/untitled folder/Asset 196.png" class="mr-3" alt="..." />
							<div class="media-body">
								<h5 class="mt-0 mb-1 display-4">Programming Languages</h5>
								<hr />
								<div id="grid-languages">
									<div><span><i class="fab fa-html5 fa-2x"></i></span><span> HTML</span></div>
									<div><span><i class="fab fa-css3-alt fa-2x"></i></span><span> CSS</span></div>
									<div><span><i class="fab fa-bootstrap fa-2x"></i></span><span> Bootstrap</span></div>
									<div><span><i class="fab fa-js-square fa-2x"></i></span><span> Javascript</span></div>
									<div><span><i class="fab fa-php fa-2x"></i></span><span> PHP</span></div>
									<div><span><i class="fab fa-react fa-2x"></i></span><span>React</span></div>
								</div>
							</div>
						</div>	
					</div>
				</div>
			</div>
		</div>
	</section>

<div class="navFixAlternative" id="Projects"></div>


<section class="container" id="Projects-Contact">
	<div class="row justify-content-around align-items-around">
		<div class="col-12 text-center bg-dark text-white" id="Projects">
			<h1 class="display-3">Projects</h1>
		</div>
	</div>
</section>


<div class="container">




<div class="row vh-100">
	<nav id="navbarSpy" class="navbar navbar-dark bg-dark border border-0">
		<nav class="nav nav-pills flex-column">
			<a class="nav-link" href="#item-1" onClick={showHtml}>HTML</a>
			<nav class="nav nav-pills flex-column">
					<a class="nav-link ml-3 my-1" href="#item-1-1">Project 1</a>
					<a class="nav-link ml-3 my-1" href="#item-1-2">Project 2</a>
				</nav>

			<a class="nav-link" href="#item-2" onClick={middle}>CSS</a>
				<nav class="nav nav-pills flex-column">
					<a class="nav-link ml-3 my-1" href="#item-2-1">Project 1</a>
					<a class="nav-link ml-3 my-1" href="#item-2-2">Project 2</a>
				</nav>	

			<a class="nav-link" href="#item-3" onClick={showJS}>Javascript</a>
				 <nav class="nav nav-pills flex-column">
					<a class="nav-link ml-3 my-1" href="#item-3-1">Project 1</a>
					<a class="nav-link ml-3 my-1" href="#item-3-2">Project 2</a>
				</nav>
		</nav>
	</nav>


	<div id="spyMe" data-spy="scroll" data-target="#navbarSpy" data-offset="0" class="overflow-auto vh-100 col d-relative border-bottom">


		<div id="item-1" class="navFixAlternative"></div>
		<h4 class="mt-5">HTML</h4>
		<p>HTML is Hypertext Markup Language, a format for creating documents and web pages. It was originally invented in the early 1990s by Tim Berners-Lee, and was based on an earlier markup language called SGML (Standard Generalized Markup Language), which was based on an earlier format simply called GML (Generalized Markup Language) developed at IBM in the 1960s.</p>
		<h5>Why is it important to learn HTML?</h5>
		<p>It really is important because HTML is considered the building blocks for the creation of webpages. It is a very critical component of web development, without HTML it is nearly impossible to create webpages.</p>
		<div id="item-1-1" class="navFixAlternative mt-5"></div>
		<div class="mx-auto card col-lg-5 my-5">
			<div class="card-header">
				<p class="display-4 text-center">Project 1</p>
			</div>
			<div class="card-body projectCard d-flex align-items-center justify-content-center">
				<img class="card-img-center" src="./images/random1/11.png" alt="" />
			</div>
		</div>
		<p>This sample website is created using only pure HTML to showcase the usage of HTML Elements, and HTML Entities. The project was done in a total duration of 1 day.</p>
		<h6>Problems Encountered</h6>
		<p>There are tag attributes that are already deprecated, meaning, they are not anymore used like they were before. Because of the separation of concerns.</p>

		<div id="item-1-2" class="navFixAlternative mt-5"></div>
		<div class="mx-auto card col-lg-5 my-5">
			<div class="card-header">
				<p class="display-4 text-center">Project 2</p>
			</div>
			<div class="card-body projectCard d-flex align-items-center justify-content-center">
				<img class="card-img-center" src="./images/random1/11.png" alt="" />
			</div>
		</div>
		<p>This sample website is created using only pure HTML to showcase the usage of HTML Elements, and HTML Entities. The project was done in a total duration of 1 day.</p>
		<h6>Problems Encountered</h6>
		<p>There are tag attributes that are already deprecated, meaning, they are not anymore used like they were before. Because of the separation of concerns.</p>


		<div id="item-2" class="navFixAlternative mt-5"></div>
		<h4 class="mt-5">CSS</h4>
		<p>CSS stands for Cascading Style Sheets. It is the coding language that gives a website its look and layout. Along with HTML, CSS is fundamental to web design. Without it, websites would still be plain text on white backgrounds.</p>
		<h5>Why is it important to learn CSS?</h5>
		<ol class="list-group-flush list-group-item-action mt-2">
			<li class="list-group-item list-group-item-action">Help web pages load faster</li>
			<li class="list-group-item list-group-item-action">Compatible with multiple browsers</li>
			<li class="list-group-item list-group-item-action">Mobile-Friendly Web Pages</li>
			<li class="list-group-item list-group-item-action">Customization</li>
			<li class="list-group-item list-group-item-action">User-friendly search engine</li>
			<li class="list-group-item list-group-item-action">Display options</li>
			<li class="list-group-item list-group-item-action">Bandwidth reduction</li>
		</ol>

		<div id="item-2-1" class="navFixAlternative mt-5"></div>
		<div class="mx-auto card col-lg-5 my-5">
			<div class="card-header">
				<p class="display-4 text-center">Project 1</p>
			</div>
			<div class="card-body projectCard d-flex align-items-center justify-content-center">
				<img class="card-img-center" src="./images/random1/11.png" alt="" />
			</div>
		</div>
		<p>This sample website is designed using only pure CSS to showcase my understanding of CSS ruleset and specificity</p>
		<h6>Problems Encountered</h6>
		<p>When a closing tag such as } is removed even when the styles are correct, it is hard to find what's the error or what line lacks closing tag</p>

		<div id="item-2-2" class="navFixAlternative mt-5"></div>
		<div class="mx-auto card col-lg-5 my-5">
			<div class="card-header">
				<p class="display-4 text-center">Project 2</p>
			</div>
			<div class="card-body projectCard d-flex align-items-center justify-content-center">
				<img class="card-img-center" src="./images/random1/11.png" alt="" />
			</div>
		</div>
		<p>This sample website is designed using only pure CSS to showcase my understanding of CSS Flexbox and CSS Grid</p>
		<h6>Problems Encountered</h6>
		<p>Without the help of Chrome Developer Tools it is very slow to fix a faulty flex property. There are so many properties that Flex Box possess and without proper understanding it is very difficult to position elements.</p>


		<div id="item-3" class="navFixAlternative mt-5"></div>
		<h4 class="mt-5">Javascript</h4>
		<p>JavaScript is a programming language used primarily by Web browsers to create a dynamic and interactive experience for the user. Most of the functions and applications that make the Internet indispensable to modern life are coded in some form of JavaScript.</p>
		<h5>Why is it important to learn Javascript?</h5>
		<p>Javascript makes webpages dynamic it includes features such as <strong>Autocomplete</strong>, <strong>Loading new content or data onto the page without reloading the page</strong>, <strong>Rollover effects and dropdown menus</strong>, <strong>Animating page elements such as fading</strong>, <strong>resizing or relocating</strong>, <strong>Playing audio and video</strong>, <strong>Validating input from Web forms</strong>, and <strong>Repairing browser compatibility issues</strong></p>

		<div id="item-3-1" class="navFixAlternative mt-5"></div>
		<div class="mx-auto card col-lg-5 my-5">
			<div class="card-header">
				<p class="display-4 text-center">Project 1</p>
			</div>
			<div class="card-body projectCard d-flex align-items-center justify-content-center">
				<img class="card-img-center" src="./images/random1/11.png" alt="" />
			</div>
		</div>
		<p>This sample website is designed with HTML, CSS and Javascript to make it dynamic and interactive.</p>
		<h6>Problems Encountered</h6>
		<p>Messy codes make it harder to debug and also some logic sequences became tricky to fix.</p>

		<div id="item-3-2" class="navFixAlternative mt-5"></div>
		<div class="mx-auto card col-lg-5 my-5">
			<div class="card-header">
				<p class="display-4 text-center">Project 2</p>
			</div>
			<div class="card-body projectCard d-flex align-items-center justify-content-center">
				<img class="card-img-center" src="./images/random1/11.png" alt="" />
			</div>
		</div>
		<p>A sample application to demonstrate my understanding of javascript's DOM manipulation</p>
		<h6>Problems Encountered</h6>
		<p>some logic sequences became tricky to debug.</p>
	</div>
</div>






</div>





<div class="modal animate__animated animate__fadeInBottomLeft" id="exampleModal" tabIndex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
	<div class="modal-dialog modal-xl modal-dialog-centered">
		<div class="modal-content curvedEdges border-success">
			<div class="modal-header bg-success border-success">
				<button type="button" class="close text-white rounded-pill mr-2" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body border-success">
				<div class="bg-success contactVh container-fluid">
					<div class="row h-100 align-items-center justify-content-center">
						<div class="col-5-sm text-center text-white mx-3">
							<h1 class="display-4">Contact Me</h1>
							<form class="form-group">
								<label for="name">Name</label>
								<input class="form-control rounded-pill" type="text" id="name" />
								<label for="email" class="mt-3">Email Address</label>
								<input class="form-control rounded-pill" type="email" id="email" />
								<label for="textAreaContacts" class="mt-3">Message</label>
								<textarea class="form-control rounded-pill"></textarea>
								<button class="col-3 p-1 bg-success btn-outline-light rounded-pill mt-3" type="submit">Send</button>
							</form>
							<h6 class="mt-5">You can also reach me out on my social media accounts</h6>
							<div class="col-8 offset-2 row text-center justify-content-around">
								<a class="list-unstyled" href=""><span><i class="fab fa-facebook fa-2x rounded-circle bg-primary"></i></span></a>
								<a class="list-unstyled" href=""><span><i class="fab fa-linkedin fa-2x"></i></span></a>
								<a class="list-unstyled" href=""><span><i class="fab fa-youtube fa-2x"></i></span></a>
								<a class="list-unstyled" href=""><span><i class="fab fa-steam fa-2x"></i></span></a>
							</div>
						</div>
						<div id="contactTree" class="col-6 d-md-block">

						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>

<script>
  AOS.init();
</script>
</body>
</html>